Name:           virt-launcher-vmb-udn-9ac7b54ab94740b9-tclds
Namespace:      test-user-defined-network-ns
Priority:       0
Node:           <none>
Labels:         kubevirt.io=virt-launcher
                kubevirt.io/created-by=864fad61-3a04-44e0-a500-faa7147b5dd5
                kubevirt.io/migrationJobUID=61cba8e6-4c1d-4a92-b848-e2896948c5fa
                kubevirt.io/nodeName=cnvqe-058.lab.eng.tlv2.redhat.com
                udn-649ae9db=true
                vm.kubevirt.io/name=vmb-udn-9ac7b54ab94740b9
                vmi.kubevirt.io/id=vmb-udn-9ac7b54ab94740b9
Annotations:    descheduler.alpha.kubernetes.io/request-evict-only: 
                k8s.ovn.org/primary-udn-ipamclaim: vmb-udn-9ac7b54ab94740b9.udn-primary
                kubectl.kubernetes.io/default-container: compute
                kubevirt.io/domain: vmb-udn-9ac7b54ab94740b9
                kubevirt.io/migrationJobName: vmb-udn-9ac7b54ab94740b9
                kubevirt.io/migrationTransportUnix: true
                kubevirt.io/nonroot: true
                kubevirt.io/vm-generation: 2
                openshift.io/scc: kubevirt-controller
                post.hook.backup.velero.io/command:
                  ["/usr/bin/virt-freezer", "--unfreeze", "--name", "vmb-udn-9ac7b54ab94740b9", "--namespace", "test-user-defined-network-ns"]
                post.hook.backup.velero.io/container: compute
                pre.hook.backup.velero.io/command:
                  ["/usr/bin/virt-freezer", "--freeze", "--name", "vmb-udn-9ac7b54ab94740b9", "--namespace", "test-user-defined-network-ns"]
                pre.hook.backup.velero.io/container: compute
                seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
                security.openshift.io/validated-scc-subject-type: user
Status:         Pending
IP:             
IPs:            <none>
Controlled By:  VirtualMachineInstance/vmb-udn-9ac7b54ab94740b9
Init Containers:
  guest-console-log:
    Image:      registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:8b22604b26255ffafa92ff2874edb36cc4d2c98af7bff52fe9129250fe8d3f0b
    Port:       <none>
    Host Port:  <none>
    Command:
      /usr/bin/virt-tail
    Args:
      --logfile
      /var/run/kubevirt-private/864fad61-3a04-44e0-a500-faa7147b5dd5/virt-serial0-log
    Limits:
      cpu:     15m
      memory:  60M
    Requests:
      cpu:     5m
      memory:  35M
    Environment:
      VIRT_LAUNCHER_LOG_VERBOSITY:  2
    Mounts:
      /var/run/kubevirt-private from private (ro)
  container-disk-binary:
    Image:      registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:8b22604b26255ffafa92ff2874edb36cc4d2c98af7bff52fe9129250fe8d3f0b
    Port:       <none>
    Host Port:  <none>
    Command:
      /usr/bin/cp
      /usr/bin/container-disk
      /init/usr/bin/container-disk
    Limits:
      cpu:     100m
      memory:  40M
    Requests:
      cpu:     10m
      memory:  1M
    Environment:
      XDG_CACHE_HOME:   /var/run/kubevirt-private
      XDG_CONFIG_HOME:  /var/run/kubevirt-private
      XDG_RUNTIME_DIR:  /var/run
    Mounts:
      /init/usr/bin from virt-bin-share-dir (rw)
  volumecontainerdisk-init:
    Image:      quay.io/openshift-cnv/qe-cnv-tests-fedora:41@sha256:a91659fba4e0258dda1be076dd6e56e34d9bf3dce082e57f939994ce0f124348
    Port:       <none>
    Host Port:  <none>
    Command:
      /usr/bin/container-disk
    Args:
      --no-op
    Limits:
      cpu:     10m
      memory:  40M
    Requests:
      cpu:                1m
      ephemeral-storage:  50M
      memory:             1M
    Environment:          <none>
    Mounts:
      /usr/bin from virt-bin-share-dir (rw)
      /var/run/kubevirt-ephemeral-disks/container-disk-data/864fad61-3a04-44e0-a500-faa7147b5dd5 from container-disks (rw)
Containers:
  compute:
    Image:      registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:8b22604b26255ffafa92ff2874edb36cc4d2c98af7bff52fe9129250fe8d3f0b
    Port:       <none>
    Host Port:  <none>
    Command:
      /usr/bin/virt-launcher-monitor
      --qemu-timeout
      246s
      --name
      vmb-udn-9ac7b54ab94740b9
      --uid
      864fad61-3a04-44e0-a500-faa7147b5dd5
      --namespace
      test-user-defined-network-ns
      --kubevirt-share-dir
      /var/run/kubevirt
      --ephemeral-disk-dir
      /var/run/kubevirt-ephemeral-disks
      --container-disk-dir
      /var/run/kubevirt/container-disks
      --grace-period-seconds
      45
      --hook-sidecars
      0
      --ovmf-path
      /usr/share/OVMF
      --disk-memory-limit
      2000000000
      --run-as-nonroot
    Limits:
      devices.kubevirt.io/kvm:        1
      devices.kubevirt.io/tun:        1
      devices.kubevirt.io/vhost-net:  1
    Requests:
      cpu:                            100m
      devices.kubevirt.io/kvm:        1
      devices.kubevirt.io/tun:        1
      devices.kubevirt.io/vhost-net:  1
      ephemeral-storage:              50M
      memory:                         1292Mi
    Environment:
      XDG_CACHE_HOME:   /var/run/kubevirt-private
      XDG_CONFIG_HOME:  /var/run/kubevirt-private
      XDG_RUNTIME_DIR:  /var/run
      POD_NAME:         virt-launcher-vmb-udn-9ac7b54ab94740b9-tclds (v1:metadata.name)
    Mounts:
      /var/run/kubevirt from public (rw)
      /var/run/kubevirt-ephemeral-disks from ephemeral-disks (rw)
      /var/run/kubevirt-private from private (rw)
      /var/run/kubevirt/container-disks from container-disks (rw)
      /var/run/kubevirt/hotplug-disks from hotplug-disks (rw)
      /var/run/kubevirt/sockets from sockets (rw)
      /var/run/libvirt from libvirt-runtime (rw)
  volumecontainerdisk:
    Image:      quay.io/openshift-cnv/qe-cnv-tests-fedora:41@sha256:a91659fba4e0258dda1be076dd6e56e34d9bf3dce082e57f939994ce0f124348
    Port:       <none>
    Host Port:  <none>
    Command:
      /usr/bin/container-disk
    Args:
      --copy-path
      /var/run/kubevirt-ephemeral-disks/container-disk-data/864fad61-3a04-44e0-a500-faa7147b5dd5/disk_0
    Limits:
      cpu:     10m
      memory:  40M
    Requests:
      cpu:                1m
      ephemeral-storage:  50M
      memory:             1M
    Environment:          <none>
    Mounts:
      /usr/bin from virt-bin-share-dir (rw)
      /var/run/kubevirt-ephemeral-disks/container-disk-data/864fad61-3a04-44e0-a500-faa7147b5dd5 from container-disks (rw)
Readiness Gates:
  Type                                   Status
  kubevirt.io/virtual-machine-unpaused   <none> 
Conditions:
  Type           Status
  PodScheduled   False 
Volumes:
  private:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  public:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  sockets:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  virt-bin-share-dir:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  libvirt-runtime:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  ephemeral-disks:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  container-disks:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  hotplug-disks:
    Type:        EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:      
    SizeLimit:   <unset>
QoS Class:       Burstable
Node-Selectors:  cpu-feature.node.kubevirt.io/amd-ssbd=true
                 cpu-feature.node.kubevirt.io/amd-stibp=true
                 cpu-feature.node.kubevirt.io/arch-capabilities=true
                 cpu-feature.node.kubevirt.io/fb-clear=true
                 cpu-feature.node.kubevirt.io/flush-l1d=true
                 cpu-feature.node.kubevirt.io/gds-no=true
                 cpu-feature.node.kubevirt.io/hypervisor=true
                 cpu-feature.node.kubevirt.io/ibpb=true
                 cpu-feature.node.kubevirt.io/ibrs=true
                 cpu-feature.node.kubevirt.io/ibrs-all=true
                 cpu-feature.node.kubevirt.io/invtsc=true
                 cpu-feature.node.kubevirt.io/md-clear=true
                 cpu-feature.node.kubevirt.io/mds-no=true
                 cpu-feature.node.kubevirt.io/mpx=true
                 cpu-feature.node.kubevirt.io/pdcm=true
                 cpu-feature.node.kubevirt.io/pku=true
                 cpu-feature.node.kubevirt.io/pschange-mc-no=true
                 cpu-feature.node.kubevirt.io/psdp-no=true
                 cpu-feature.node.kubevirt.io/rdctl-no=true
                 cpu-feature.node.kubevirt.io/rfds-no=true
                 cpu-feature.node.kubevirt.io/sbdr-ssdp-no=true
                 cpu-feature.node.kubevirt.io/skip-l1dfl-vmentry=true
                 cpu-feature.node.kubevirt.io/ss=true
                 cpu-feature.node.kubevirt.io/stibp=true
                 cpu-feature.node.kubevirt.io/tsc_adjust=true
                 cpu-feature.node.kubevirt.io/tsx-ctrl=true
                 cpu-feature.node.kubevirt.io/umip=true
                 cpu-feature.node.kubevirt.io/vmx=true
                 cpu-feature.node.kubevirt.io/vmx-activity-hlt=true
                 cpu-feature.node.kubevirt.io/vmx-activity-wait-sipi=true
                 cpu-feature.node.kubevirt.io/vmx-apicv-register=true
                 cpu-feature.node.kubevirt.io/vmx-apicv-vid=true
                 cpu-feature.node.kubevirt.io/vmx-apicv-x2apic=true
                 cpu-feature.node.kubevirt.io/vmx-apicv-xapic=true
                 cpu-feature.node.kubevirt.io/vmx-cr3-load-noexit=true
                 cpu-feature.node.kubevirt.io/vmx-cr3-store-noexit=true
                 cpu-feature.node.kubevirt.io/vmx-cr8-load-exit=true
                 cpu-feature.node.kubevirt.io/vmx-cr8-store-exit=true
                 cpu-feature.node.kubevirt.io/vmx-desc-exit=true
                 cpu-feature.node.kubevirt.io/vmx-entry-ia32e-mode=true
                 cpu-feature.node.kubevirt.io/vmx-entry-load-bndcfgs=true
                 cpu-feature.node.kubevirt.io/vmx-entry-load-efer=true
                 cpu-feature.node.kubevirt.io/vmx-entry-load-pat=true
                 cpu-feature.node.kubevirt.io/vmx-entry-load-perf-global-ctrl=true
                 cpu-feature.node.kubevirt.io/vmx-entry-noload-debugctl=true
                 cpu-feature.node.kubevirt.io/vmx-ept=true
                 cpu-feature.node.kubevirt.io/vmx-ept-1gb=true
                 cpu-feature.node.kubevirt.io/vmx-ept-2mb=true
                 cpu-feature.node.kubevirt.io/vmx-ept-execonly=true
                 cpu-feature.node.kubevirt.io/vmx-eptad=true
                 cpu-feature.node.kubevirt.io/vmx-eptp-switching=true
                 cpu-feature.node.kubevirt.io/vmx-exit-ack-intr=true
                 cpu-feature.node.kubevirt.io/vmx-exit-clear-bndcfgs=true
                 cpu-feature.node.kubevirt.io/vmx-exit-load-efer=true
                 cpu-feature.node.kubevirt.io/vmx-exit-load-pat=true
                 cpu-feature.node.kubevirt.io/vmx-exit-load-perf-global-ctrl=true
                 cpu-feature.node.kubevirt.io/vmx-exit-nosave-debugctl=true
                 cpu-feature.node.kubevirt.io/vmx-exit-save-efer=true
                 cpu-feature.node.kubevirt.io/vmx-exit-save-pat=true
                 cpu-feature.node.kubevirt.io/vmx-exit-save-preemption-timer=true
                 cpu-feature.node.kubevirt.io/vmx-flexpriority=true
                 cpu-feature.node.kubevirt.io/vmx-hlt-exit=true
                 cpu-feature.node.kubevirt.io/vmx-ins-outs=true
                 cpu-feature.node.kubevirt.io/vmx-intr-exit=true
                 cpu-feature.node.kubevirt.io/vmx-invept=true
                 cpu-feature.node.kubevirt.io/vmx-invept-all-context=true
                 cpu-feature.node.kubevirt.io/vmx-invept-single-context=true
                 cpu-feature.node.kubevirt.io/vmx-invlpg-exit=true
                 cpu-feature.node.kubevirt.io/vmx-invpcid-exit=true
                 cpu-feature.node.kubevirt.io/vmx-invvpid=true
                 cpu-feature.node.kubevirt.io/vmx-invvpid-all-context=true
                 cpu-feature.node.kubevirt.io/vmx-invvpid-single-addr=true
                 cpu-feature.node.kubevirt.io/vmx-invvpid-single-context-noglobals=true
                 cpu-feature.node.kubevirt.io/vmx-io-bitmap=true
                 cpu-feature.node.kubevirt.io/vmx-io-exit=true
                 cpu-feature.node.kubevirt.io/vmx-monitor-exit=true
                 cpu-feature.node.kubevirt.io/vmx-movdr-exit=true
                 cpu-feature.node.kubevirt.io/vmx-msr-bitmap=true
                 cpu-feature.node.kubevirt.io/vmx-mtf=true
                 cpu-feature.node.kubevirt.io/vmx-mwait-exit=true
                 cpu-feature.node.kubevirt.io/vmx-nmi-exit=true
                 cpu-feature.node.kubevirt.io/vmx-page-walk-4=true
                 cpu-feature.node.kubevirt.io/vmx-pause-exit=true
                 cpu-feature.node.kubevirt.io/vmx-pml=true
                 cpu-feature.node.kubevirt.io/vmx-posted-intr=true
                 cpu-feature.node.kubevirt.io/vmx-preemption-timer=true
                 cpu-feature.node.kubevirt.io/vmx-rdpmc-exit=true
                 cpu-feature.node.kubevirt.io/vmx-rdrand-exit=true
                 cpu-feature.node.kubevirt.io/vmx-rdseed-exit=true
                 cpu-feature.node.kubevirt.io/vmx-rdtsc-exit=true
                 cpu-feature.node.kubevirt.io/vmx-rdtscp-exit=true
                 cpu-feature.node.kubevirt.io/vmx-secondary-ctls=true
                 cpu-feature.node.kubevirt.io/vmx-shadow-vmcs=true
                 cpu-feature.node.kubevirt.io/vmx-store-lma=true
                 cpu-feature.node.kubevirt.io/vmx-true-ctls=true
                 cpu-feature.node.kubevirt.io/vmx-tsc-offset=true
                 cpu-feature.node.kubevirt.io/vmx-tsc-scaling=true
                 cpu-feature.node.kubevirt.io/vmx-unrestricted-guest=true
                 cpu-feature.node.kubevirt.io/vmx-vintr-pending=true
                 cpu-feature.node.kubevirt.io/vmx-vmfunc=true
                 cpu-feature.node.kubevirt.io/vmx-vmwrite-vmexit-fields=true
                 cpu-feature.node.kubevirt.io/vmx-vnmi=true
                 cpu-feature.node.kubevirt.io/vmx-vnmi-pending=true
                 cpu-feature.node.kubevirt.io/vmx-vpid=true
                 cpu-feature.node.kubevirt.io/vmx-wbinvd-exit=true
                 cpu-feature.node.kubevirt.io/vmx-xsaves=true
                 cpu-feature.node.kubevirt.io/xsaves=true
                 cpu-model-migration.node.kubevirt.io/Cascadelake-Server=true
                 kubernetes.io/arch=amd64
                 kubevirt.io/schedulable=true
                 machine-type.node.kubevirt.io/pc-q35-rhel9.6.0=true
Tolerations:     node.kubernetes.io/memory-pressure:NoSchedule op=Exists
                 node.kubernetes.io/not-ready:NoExecute op=Exists for 300s
                 node.kubernetes.io/unreachable:NoExecute op=Exists for 300s
Events:
  Type     Reason            Age   From               Message
  ----     ------            ----  ----               -------
  Warning  FailedScheduling  61s   default-scheduler  0/3 nodes are available: 3 node(s) didn't match pod anti-affinity rules. preemption: 0/3 nodes are available: 3 No preemption victims found for incoming pod.
